package com.lipaluma.test.db.rules;

import org.junit.ClassRule;
import org.junit.Rule;

/**
 * Class to extends by the test class to use the framework by Rule (JUnit 4.10 min)<p>
 * 
 * remark : If you want to use rules without extends this Class, 
 * just copy the two attributes in your test class
 * 
 * @author Mario
 */
public abstract class AbstractSpringJunit4WithDBRule {
	
	@ClassRule
	public static SpringJunit4WithDBClassRule classRule = new SpringJunit4WithDBClassRule();
	
	@Rule
	public SpringJunit4WithDBMethodRule methodRule = new SpringJunit4WithDBMethodRule(classRule.getTestContextManager(), this);
	
}
