package com.lipaluma.test.db;

import org.junit.runners.model.InitializationError;
import org.springframework.test.context.TestContextManager;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Runner permits to use the framework
 * @author Mario
 */
public class SpringJUnit4WithDBClassRunner extends SpringJUnit4ClassRunner {

	public SpringJUnit4WithDBClassRunner(Class<?> clazz) throws InitializationError {
		super(clazz);
	}

	
	@Override
	protected TestContextManager createTestContextManager(Class<?> clazz) {
		return new DBTestContextManager(clazz, getDefaultContextLoaderClassName(clazz));
	}
}
